Bug 1000041 - wrong rendered text background in computer properties dialog on windows xp
wrong rendered text background in computer properties dialog on windows xp
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-server (Show other bugs)
6.4
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Uri Lublin
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 10:40 EDT by Lev Veyde
Modified: 2015-03-06 08:34 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-03 11:59:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spice qxl recording of dialog open (plus boot and shutdown) (2.15 MB, application/x-xz)
2013-08-22 10:43 EDT, Lev Veyde
no flags Details
in guest correct (2.25 MB, image/bmp)
2013-08-22 10:44 EDT, Lev Veyde
no flags Details
in guest wrong (2.25 MB, image/bmp)
2013-08-22 10:45 EDT, Lev Veyde
no flags Details
spice client correct (619.95 KB, image/png)
2013-08-22 10:47 EDT, Lev Veyde
no flags Details
spice client wrong (764.40 KB, image/png)
2013-08-22 10:48 EDT, Lev Veyde
no flags Details

  None (edit)
Description Lev Veyde 2013-08-22 10:40:51 EDT
Description of problem:
Text background in the computer properties dialog is rendered white and it should be grey like the rest of the dialog.

Version-Release number of selected component (if applicable):
spice-server-0.12.0-12.el6_4.1.x86_64
qemu-kvm-rhev-0.12.1.2-2.355.el6_4.3.x86_64
RHEV-Tools 3.2.13:
 5.1.0.10016 10/15/2012

How reproducible:
100%

Steps to Reproduce:
1. start windows xp
2. right click my computer, choose properties

Actual results:
wrong dialog, see attachment

Expected results:
correct dialog, see attachment

Additional info:
See attachments:

correct and wrong rendered images (correct generated without installation of the qxl driver), as rendered to the guest via inside-guest print screen.

same for client side rendered images.

and then a recording done with the wip/replay branch commit 1e4b31beae0f3d230aa5c0da627da1772ef533ad of the whole boot, plus opening the dialog, plus shutdown.
Comment 1 Lev Veyde 2013-08-22 10:43:18 EDT
Created attachment 789221 [details]
Spice qxl recording of dialog open (plus boot and shutdown)
Comment 3 Lev Veyde 2013-08-22 10:44:42 EDT
Created attachment 789223 [details]
in guest correct
Comment 4 Lev Veyde 2013-08-22 10:45:43 EDT
Created attachment 789226 [details]
in guest wrong
Comment 5 Lev Veyde 2013-08-22 10:47:25 EDT
Created attachment 789236 [details]
spice client correct
Comment 6 Lev Veyde 2013-08-22 10:48:01 EDT
Created attachment 789237 [details]
spice client wrong
Comment 7 RHEL Product and Program Management 2013-10-13 22:36:21 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 10 Christophe Fergeau 2015-03-03 11:59:22 EST
I've been able to reproduce with the QXL driver from RHEV-toolsSetup_3.2_15.iso but not with RHEV-toolsSetup_3.5_9.iso. Closing as CURRENTRELEASE.
Comment 11 David Jaša 2015-03-06 08:32:40 EST
The bug was fixed in driver released just 1-2 months after reporting BTW...

Note You need to log in before you can comment on or make changes to this bug.